#ifndef AG_STRING_H
#define AG_STRING_H

/*
 * The AGCLIB1 Class Library, Version 1.0
 * Copyright (c) Parsifal Software, 2001. All Rights Reserved.
 * http://www.parsifalsoft.com
*/


// Implementation of the AgString class by derivation from CString


#include "agabt.h"
#include <afx.h>

struct AgString : public CString {
  AgString() : CString() {}
  AgString(const CString &c) : CString(c) {}
  AgString(const char *s) : CString(s) {}
  int size() const { return CString::GetLength();}
  AgString &append(int c) {*this += (char) c; return *this;}
  AgString &append(const char *s) {*this += s; return *this;}
  AgString &append(const char *s, int n) {*this += CString(s,n); return *this;}
};

inline int agABTHash(AgString &s, int hashcode = 0) {
  return agABTHash(s.GetBuffer(s.size()), hashcode);
}

#endif
